Qt 5.7 | Qt 3D | C++ Classes | QDepthTest

Qt 5.7.1 Reference Documentation

# QDepthTest Class

(Qt3DRender::QDepthTest)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | DepthFunction { Never, Always, Less, LessOrEqual, ..., NotEqual }

## Properties

- depthFunction : DepthFunction

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QDepthTest(Qt3DCore::QNode *parent = nullptr)
| ~QDepthTest()
DepthFunction | depthFunction() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDepthFunction(DepthFunction depthFunction)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | depthFunctionChanged(DepthFunction depthFunction)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QDepthTest::DepthFunction

## Property Documentation

### depthFunction : DepthFunction

Access functions:

DepthFunction | depthFunction() const
void | setDepthFunction(DepthFunction depthFunction)

Notifier signal:

void | depthFunctionChanged(DepthFunction depthFunction)

## Member Function Documentation

### QDepthTest::QDepthTest(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QDepthTest.

### QDepthTest::~QDepthTest()

Destroys the instance of QDepthTest.